# ThreadMutex Class Reference

Cross-platform Mutex. More...

`#include <thread.h>`

Inheritance diagram for ThreadMutex:

## Public Member Functions
virtual | ~ThreadMutex ()
| Virtual Destructor to avoid compiler warnings.
virtual void | BeginCritical ()=0
| Begin the critical section.
virtual void | EndCritical ()=0
| End of the critical section.
## Static Public Member Functions
static ThreadMutex * | New ()

## Detailed Description

Cross-platform Mutex.

Definition at line 46 of file thread.h.

The documentation for this class was generated from the following files:

- src/thread.h
- src/thread_none.cpp
- src/thread_os2.cpp
- src/thread_pthread.cpp
- src/thread_win32.cpp